package domain

type SMSProvider string

const (
	TwilioSms   SMSProvider = "twilio"
	AfroMessage SMSProvider = "afro_message"
)

// IsValid checks if the SMSProvider is a valid enum value
func (s SMSProvider) IsValid() bool {
	switch s {
	case TwilioSms, AfroMessage:
		return true
	default:
		return false
	}
}
